<?php
require_once 'connect.php';
require_once 'inc/usuario.php';
$timezone = 'America/Sao_Paulo';
date_default_timezone_set("$timezone");

class DocumentoSaida {

    private $p_documento = array(); // array com todos os campos;

    public function __get($name) {
        if (isset($this->p_documento[strtolower($name)])) {
            return $this->p_documento[strtolower($name)];
        } else {
            return false;
        }
    }

    public function __set($name, $value) {
        $this->p_documento[strtolower($name)] = $value;
    }

    public function __construct(){

      $this->p_documento['ds_numnf'] = ''; // numero da nota fiscal;
      $this->p_documento['dt_emissao'] = date("Y-m-d H:i:s"); // date("Y-m-d\TH:i:sP");
      $this->p_documento['ds_serie'] = '1';
      $this->p_documento['ds_modelo'] = '55';
      $this->p_documento['id_status_transmissao'] = '1';
      $this->p_documento['ds_numnf_referencia'] = '';

      /* Padrões para emissão da Nota Venda */
      $this->p_documento['id_usuario'] = 1; // usuário CODE para insert
      $this->p_documento['id_tipo_ambiente'] = 2; // ambiente sefaz homologação
      $this->p_documento['st_ativo'] = 1;
      $this->p_documento['id_tipo_operacao'] = 1;
      $this->p_documento['id_destino_operacao'] = 1;
      $this->p_documento['id_tipo_emissao'] = 1;
      $this->p_documento['fl_consumidor_final'] = 1;
      $this->p_documento['id_operacao_presencial'] = 9;

      // captura o usuario da sessao corrente
      if(isset($_SESSION['id_usuario'])){
        $this->p_documento['id_usuario'] = $_SESSION['id_usuario'];
      }

      // captura o ambiente para transmissão da nota fann_set_input_scaling_params
      if(isset($_SESSION['id_ambiente_sefaz'])){
        $this->p_documento['id_tipo_ambiente'] = $_SESSION['id_ambiente_sefaz'];
      }
    }
}


?>
